/*
   For more information, please see: http://software.sci.utah.edu

   The MIT License

   Copyright (c) 2009 Scientific Computing and Imaging Institute,
   University of Utah.

   
   Permission is hereby granted, free of charge, to any person obtaining a
   copy of this software and associated documentation files (the "Software"),
   to deal in the Software without restriction, including without limitation
   the rights to use, copy, modify, merge, publish, distribute, sublicense,
   and/or sell copies of the Software, and to permit persons to whom the
   Software is furnished to do so, subject to the following conditions:

   The above copyright notice and this permission notice shall be included
   in all copies or substantial portions of the Software.

   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
   OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
   FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
   THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
   LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
   FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
   DEALINGS IN THE SOFTWARE.
*/

#ifndef CORE_CLASSREGISTRATION_H
#define CORE_CLASSREGISTRATION_H

// This file is automatically generated

namespace Core 
{

// Functions that need to be included from else where
 extern void register_ActionAdd();
 extern void register_ActionClear();
 extern void register_ActionGet();
 extern void register_ActionOffset();
 extern void register_ActionRemove();
 extern void register_ActionRotateView();
 extern void register_ActionScaleView();
 extern void register_ActionSet();
 extern void register_ActionSetRange();
 extern void register_ActionToggle();
 extern void register_ActionTranslateView();
 extern void register_ActionSetAt();
 extern void register_ActionCancelStage();
 extern void register_ActionCancelDownload();
 extern void register_ActionCopyProject();
 extern void register_ActionCreateUser();
 extern void register_ActionCreateProject();
 extern void register_ActionDeleteFiles();
 extern void register_ActionDeleteProject();
 extern void register_ActionDeleteUser();
 extern void register_ActionGetProjectlock();
 extern void register_ActionGetUserlock();
 extern void register_ActionLogin();
 extern void register_ActionLogout();
 extern void register_ActionReleaseProjectlock();
 extern void register_ActionReleaseUserlock();
 extern void register_ActionRunStage();
 extern void register_ActionShareProject();
 extern void register_ActionUpdateProject();
 extern void register_ActionUploadFiles();
 extern void register_ActionVisualizeFiles();
 extern void register_ActionSavePreferences();
 extern void register_ActionDownloadFiles();


// Function that calls the registration functions one by one.
void RegisterClasses()
{
   register_ActionAdd();
   register_ActionClear();
   register_ActionGet();
   register_ActionOffset();
   register_ActionRemove();
   register_ActionRotateView();
   register_ActionScaleView();
   register_ActionSet();
   register_ActionSetRange();
   register_ActionToggle();
   register_ActionTranslateView();
   register_ActionSetAt();
   register_ActionCancelStage();
   register_ActionCancelDownload();
   register_ActionCopyProject();
   register_ActionCreateUser();
   register_ActionCreateProject();
   register_ActionDeleteFiles();
   register_ActionDeleteProject();
   register_ActionDeleteUser();
   register_ActionGetProjectlock();
   register_ActionGetUserlock();
   register_ActionLogin();
   register_ActionLogout();
   register_ActionReleaseProjectlock();
   register_ActionReleaseUserlock();
   register_ActionRunStage();
   register_ActionShareProject();
   register_ActionUpdateProject();
   register_ActionUploadFiles();
   register_ActionVisualizeFiles();
   register_ActionSavePreferences();
   register_ActionDownloadFiles();

}

}

#endif
